activemq-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Lalit Nagpal <lalitte...@rediffmail.com>
Subject Re: building activemq cpp latest repository code on linux
Date Thu, 22 Feb 2007 04:57:27 GMT


Hi 

We tried building activemq-cpp latest source code on linux 
Linux 2.4.21-37.ELsmp #1 SMP Wed Sep 7 13:28:55 EDT 2005 i686 i686 i386
GNU/Linux 

Here is the error that we got for it .... 
checking for Cppunit - version >= 1.10.2... 1.10.2 
checking for pthread_create in -lpthread... no 
configure: error: libpthread not found! 

It seems some library is missing that is stopping the configure command from
completing. 

Please suggest what needs to be done to install the missing part. 

Thanks 
Lalit Nagpal 
CSA, SunGard


Albert Strasheim wrote:
> 
> Try installing the glibc-devel or libc6-dev package (depending on your 
> distribution).
> 
> Cheers,
> 
> Albert
> 
> ----- Original Message ----- 
> From: "Lalit Nagpal" <lalittechy@rediffmail.com>
> To: <users@activemq.apache.org>
> Sent: Thursday, February 15, 2007 3:45 PM
> Subject: building activemq cpp latest repository code on linux
> 
> 
>> We tried building activemq-cpp latest source code on linux
>> Linux 2.4.21-37.ELsmp #1 SMP Wed Sep 7 13:28:55 EDT 2005 i686 i686 i386
>> GNU/Linux
>>
>> Here is the error that we got for it ....
>> checking for Cppunit - version >= 1.10.2... 1.10.2
>> checking for pthread_create in -lpthread... no
>> configure: error: libpthread not found 
> 
> 
> 

-- 
View this message in context: http://www.nabble.com/building-activemq-cpp-latest-repository-code-on-linux-tf3233821s2354.html#a9094472
Sent from the ActiveMQ - User mailing list archive at Nabble.com.


Mime
View raw message